E-MailRelay

Public Member Functions | List of all members
GNet::EventLoggingContext Class Reference

A class that sets the G::LogOuput::context() while in scope. More...

`#include <geventloggingcontext.h>`

## Public Member Functions
| EventLoggingContext (ExceptionSource *esrc)
| Constructor that sets the logging context to whatever ExceptionSource::exceptionSourceId() returns. More...
| EventLoggingContext (const std::string &)
| Constructor that sets the logging context to the given string. More...
| ~EventLoggingContext () noexcept
| Destructor. Restores the logging context. More...
| EventLoggingContext (const EventLoggingContext &)=delete
| EventLoggingContext (EventLoggingContext &&)=delete
void | operator= (const EventLoggingContext &)=delete
void | operator= (EventLoggingContext &&)=delete

## Detailed Description

A class that sets the G::LogOuput::context() while in scope.

Definition at line 35 of file geventloggingcontext.h.

## Constructor & Destructor Documentation

## ◆ EventLoggingContext() [1/2]

GNet::EventLoggingContext::EventLoggingContext | ( | ExceptionSource * | esrc | ) |
| explicit

Constructor that sets the logging context to whatever ExceptionSource::exceptionSourceId() returns.

Definition at line 28 of file geventloggingcontext.cpp.

## ◆ EventLoggingContext() [2/2]

GNet::EventLoggingContext::EventLoggingContext | ( | const std::string & | s | ) |
| explicit

Constructor that sets the logging context to the given string.

Definition at line 36 of file geventloggingcontext.cpp.

## ◆ ~EventLoggingContext()

GNet::EventLoggingContext::~EventLoggingContext | ( |  | ) |
| noexcept

Destructor. Restores the logging context.

Definition at line 45 of file geventloggingcontext.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventloggingcontext.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventloggingcontext.cpp